PKGCTL-ISSUE-EDIT(1)

NOME
pkgctl-issue-edit - Edita e modifica uma issue

SINOPSE

pkgctl issue edit [OPÇÕES] [IID]

DESCRIÇÃO

O comando pkgctl issue edit é usado para modificar uma issue existente em projetos de empacotamento do Arch Linux. Este comando permite que os usuários atualizem o título, a descrição e vários atributos da issue, garantindo que as informações da issue permaneçam precisas e atualizadas. Ele também fornece um recurso simplificado para que os controladores de bugs categorizem e priorizem as issues de forma eficiente.

Para editar uma issue, os usuários devem especificar o ID da issue (IID). Por padrão, o comando opera no diretório atual, mas os usuários podem especificar uma base de pacote diferente, se necessário.

O comando permite atualizações diretas no título e na descrição da issue. Para alterações mais extensas, os usuários podem editar esses detalhes usando um editor de texto. O comando fornece várias opções para definir ou atualizar etiquetas e atributos, como confidencialidade, prioridade, resolução, escopo, gravidade e status. Essas opções ajudam a manter o gerenciamento de issues claro e organizado.

Em caso de falha na execução, o comando pode se recuperar automaticamente para garantir que o processo de edição seja concluído sem perda de dados.

Este comando é particularmente útil para mantenedores e contribuidores que precisam atualizar os detalhes de uma issue para refletir novas informações ou mudanças no status. Ele garante que todos os detalhes da issue sejam mantidos com precisão, facilitando o rastreamento e a resolução eficientes.

OPÇÕES

-p, --package PKGBASE
    Interage com PKGBASE em vez do diretório atual

-t, --title TÍTULO
    Usa o título fornecido para o issue

-e, --edit
    Edita o título e a descrição da issue usando um editor

--recover
    Recupera automaticamente de uma execução com falha

--confidentiality TIPO
    Define a confidencialidade do issue

--priority PRIORIDADE
    Define a etiqueta de prioridade

--resolution MOTIVO
    Define a etiqueta de resolução

--scope ESCOPO
    Define a etiqueta de escopo

--severity GRAVIDADE
    Define a etiqueta de gravidade

--status STATUS
    Define a etiqueta de status

-h, --help
    Mostra um texto de ajuda.

SITE

Por favor, relate bugs e solicitações de recursos no rastreador de problemas. Por favor, faça o seu melhor para fornecer um caso de teste reproduzível para bugs.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).